
// Workaround to access protected functions
#ifndef protected
#  define protected public
#endif

// default includes
#include <shiboken.h>
#include <sbkpep.h>
#include <sbkpepbuffer.h>

#define PYSIDE6_COMOPT_COMPRESS 1

#ifndef QT_NO_VERSION_TAGGING
#  define QT_NO_VERSION_TAGGING
#endif
#include <QtCore/QDebug>
#include <pysideqobject.h>
#include <pysidesignal.h>
#include <pysideproperty.h>
#include <signalmanager.h>
#include <pysidemetafunction.h>
#include <pysideqenum.h>
#include <pysideutils.h>
#include <feature_select.h>
QT_WARNING_DISABLE_DEPRECATED


// module include
#include "akonadicore_python.h"

// main header
#include "akonadi_collectionfetchjob_wrapper.h"

// Wrappers providing overrides
#include "akonadi_trashfilterproxymodel_wrapper.h"
#include "akonadi_specialcollectionsdiscoveryjob_wrapper.h"

// Extra includes
#include <pysidesignal.h>

// Argument includes
#include <QList>
#include <QString>
#include <collection.h>
#include <collectionfetchjob.h>
#include <collectionfetchscope.h>
#include <kjob.h>
#include <qmetaobject.h>
#include <qobject.h>
#include <qobjectdefs.h>

#include <cctype>
#include <cstring>
#include <iterator>
#include <type_traits>
#include <typeinfo>

using namespace Akonadi;

extern "C" {
static PyTypeObject *Sbk_Akonadi_CollectionFetchJob_TypeF(void)
{
    return SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_IDX].type;
}
} // extern "C"

// Native ---------------------------------------------------------

void CollectionFetchJobWrapper::resetPyMethodCache()
{
    std::fill(m_PyMethodCache.begin(), m_PyMethodCache.end(), nullptr);
}

CollectionFetchJobWrapper::CollectionFetchJobWrapper(const ::Akonadi::Collection & collection, ::Akonadi::CollectionFetchJob::Type type, ::QObject * parent) : Akonadi::CollectionFetchJob(collection, type, parent)
{
}

CollectionFetchJobWrapper::CollectionFetchJobWrapper(const ::QList<Akonadi::Collection> & collections, ::Akonadi::CollectionFetchJob::Type type, ::QObject * parent) : Akonadi::CollectionFetchJob(collections, type, parent)
{
}

CollectionFetchJobWrapper::CollectionFetchJobWrapper(const ::QList<Akonadi::Collection> & collections, ::QObject * parent) : Akonadi::CollectionFetchJob(collections, parent)
{
}

CollectionFetchJobWrapper::CollectionFetchJobWrapper(const ::QList<long long> & collections, ::Akonadi::CollectionFetchJob::Type type, ::QObject * parent) : Akonadi::CollectionFetchJob(collections, type, parent)
{
}

bool CollectionFetchJobWrapper::addSubjob(::KJob * job)
{
    static const char *funcName = "addSubjob";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_CollectionFetchJob_TypeF(), gil, funcName, m_PyMethodCache[0], nameCache));
    if (pyOverride.isNull()) {
        return this->::Akonadi::Job::addSubjob(job);
    }
    return SpecialCollectionsDiscoveryJobWrapper::sbk_o_addSubjob("CollectionFetchJob", funcName, gil, pyOverride, job);
}

void CollectionFetchJobWrapper::childEvent(::QChildEvent * event)
{
    static const char *funcName = "childEvent";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_CollectionFetchJob_TypeF(), gil, funcName, m_PyMethodCache[1], nameCache));
    if (pyOverride.isNull()) {
        return this->::QObject::childEvent(event);
    }
    TrashFilterProxyModelWrapper::sbk_o_childEvent("CollectionFetchJob", funcName, gil, pyOverride, event);
}

void CollectionFetchJobWrapper::connectNotify(const ::QMetaMethod & signal)
{
    static const char *funcName = "connectNotify";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_CollectionFetchJob_TypeF(), gil, funcName, m_PyMethodCache[2], nameCache));
    if (pyOverride.isNull()) {
        return this->::QObject::connectNotify(signal);
    }
    TrashFilterProxyModelWrapper::sbk_o_connectNotify("CollectionFetchJob", funcName, gil, pyOverride, signal);
}

void CollectionFetchJobWrapper::customEvent(::QEvent * event)
{
    static const char *funcName = "customEvent";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_CollectionFetchJob_TypeF(), gil, funcName, m_PyMethodCache[3], nameCache));
    if (pyOverride.isNull()) {
        return this->::QObject::customEvent(event);
    }
    TrashFilterProxyModelWrapper::sbk_o_customEvent("CollectionFetchJob", funcName, gil, pyOverride, event);
}

void CollectionFetchJobWrapper::disconnectNotify(const ::QMetaMethod & signal)
{
    static const char *funcName = "disconnectNotify";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_CollectionFetchJob_TypeF(), gil, funcName, m_PyMethodCache[4], nameCache));
    if (pyOverride.isNull()) {
        return this->::QObject::disconnectNotify(signal);
    }
    TrashFilterProxyModelWrapper::sbk_o_connectNotify("CollectionFetchJob", funcName, gil, pyOverride, signal);
}

bool CollectionFetchJobWrapper::doKill()
{
    static const char *funcName = "doKill";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_CollectionFetchJob_TypeF(), gil, funcName, m_PyMethodCache[5], nameCache));
    if (pyOverride.isNull()) {
        return this->::Akonadi::Job::doKill();
    }
    return TrashFilterProxyModelWrapper::sbk_o_submit("CollectionFetchJob", funcName, gil, pyOverride);
}

bool CollectionFetchJobWrapper::doResume()
{
    static const char *funcName = "doResume";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_CollectionFetchJob_TypeF(), gil, funcName, m_PyMethodCache[6], nameCache));
    if (pyOverride.isNull()) {
        return this->::KJob::doResume();
    }
    return TrashFilterProxyModelWrapper::sbk_o_submit("CollectionFetchJob", funcName, gil, pyOverride);
}

void CollectionFetchJobWrapper::doStart()
{
    static const char *funcName = "doStart";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_CollectionFetchJob_TypeF(), gil, funcName, m_PyMethodCache[7], nameCache));
    if (pyOverride.isNull()) {
        return this->::Akonadi::CollectionFetchJob::doStart();
    }
    TrashFilterProxyModelWrapper::sbk_o_resetInternalData("CollectionFetchJob", funcName, gil, pyOverride);
}

bool CollectionFetchJobWrapper::doSuspend()
{
    static const char *funcName = "doSuspend";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_CollectionFetchJob_TypeF(), gil, funcName, m_PyMethodCache[8], nameCache));
    if (pyOverride.isNull()) {
        return this->::KJob::doSuspend();
    }
    return TrashFilterProxyModelWrapper::sbk_o_submit("CollectionFetchJob", funcName, gil, pyOverride);
}

bool CollectionFetchJobWrapper::event(::QEvent * event)
{
    static const char *funcName = "event";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_CollectionFetchJob_TypeF(), gil, funcName, m_PyMethodCache[9], nameCache));
    if (pyOverride.isNull()) {
        return this->::QObject::event(event);
    }
    return TrashFilterProxyModelWrapper::sbk_o_event("CollectionFetchJob", funcName, gil, pyOverride, event);
}

bool CollectionFetchJobWrapper::eventFilter(::QObject * watched, ::QEvent * event)
{
    static const char *funcName = "eventFilter";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_CollectionFetchJob_TypeF(), gil, funcName, m_PyMethodCache[10], nameCache));
    if (pyOverride.isNull()) {
        return this->::QObject::eventFilter(watched, event);
    }
    return TrashFilterProxyModelWrapper::sbk_o_eventFilter("CollectionFetchJob", funcName, gil, pyOverride, watched, event);
}

bool CollectionFetchJobWrapper::removeSubjob(::KJob * job)
{
    static const char *funcName = "removeSubjob";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_CollectionFetchJob_TypeF(), gil, funcName, m_PyMethodCache[11], nameCache));
    if (pyOverride.isNull()) {
        return this->::Akonadi::Job::removeSubjob(job);
    }
    return SpecialCollectionsDiscoveryJobWrapper::sbk_o_addSubjob("CollectionFetchJob", funcName, gil, pyOverride, job);
}

void CollectionFetchJobWrapper::slotInfoMessage(::KJob * job, const ::QString & message)
{
    static const char *funcName = "slotInfoMessage";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_CollectionFetchJob_TypeF(), gil, funcName, m_PyMethodCache[12], nameCache));
    if (pyOverride.isNull()) {
        return this->::KCompositeJob::slotInfoMessage(job, message);
    }
    SpecialCollectionsDiscoveryJobWrapper::sbk_o_slotInfoMessage("CollectionFetchJob", funcName, gil, pyOverride, job, message);
}

void CollectionFetchJobWrapper::slotResult(::KJob * job)
{
    static const char *funcName = "slotResult";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_CollectionFetchJob_TypeF(), gil, funcName, m_PyMethodCache[13], nameCache));
    if (pyOverride.isNull()) {
        return this->::Akonadi::CollectionFetchJob::slotResult(job);
    }
    SpecialCollectionsDiscoveryJobWrapper::sbk_o_slotResult("CollectionFetchJob", funcName, gil, pyOverride, job);
}

void CollectionFetchJobWrapper::start()
{
    static const char *funcName = "start";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_CollectionFetchJob_TypeF(), gil, funcName, m_PyMethodCache[14], nameCache));
    if (pyOverride.isNull()) {
        return this->::Akonadi::Job::start();
    }
    TrashFilterProxyModelWrapper::sbk_o_resetInternalData("CollectionFetchJob", funcName, gil, pyOverride);
}

void CollectionFetchJobWrapper::timerEvent(::QTimerEvent * event)
{
    static const char *funcName = "timerEvent";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_CollectionFetchJob_TypeF(), gil, funcName, m_PyMethodCache[15], nameCache));
    if (pyOverride.isNull()) {
        return this->::QObject::timerEvent(event);
    }
    TrashFilterProxyModelWrapper::sbk_o_timerEvent("CollectionFetchJob", funcName, gil, pyOverride, event);
}

const QMetaObject *CollectionFetchJobWrapper::metaObject() const
{
    if (QObject::d_ptr->metaObject != nullptr)
        return QObject::d_ptr->dynamicMetaObject();
    SbkObject *pySelf = Shiboken::BindingManager::instance().retrieveWrapper(this);
    if (pySelf == nullptr)
        return Akonadi::CollectionFetchJob::metaObject();
    return PySide::SignalManager::retrieveMetaObject(reinterpret_cast<PyObject *>(pySelf));
}

int CollectionFetchJobWrapper::qt_metacall(QMetaObject::Call call, int id, void **args)
{
    int result = Akonadi::CollectionFetchJob::qt_metacall(call, id, args);
    return result < 0 ? result : PySide::SignalManager::qt_metacall(this, call, id, args);
}

void *CollectionFetchJobWrapper::qt_metacast(const char *_clname)
{
    if (_clname == nullptr)
        return {};
    if (SbkObject *pySelf = Shiboken::BindingManager::instance().retrieveWrapper(this)) {
        auto *obSelf = reinterpret_cast<PyObject *>(pySelf);
        if (PySide::inherits(Py_TYPE(obSelf), _clname))
            return static_cast<void *>(const_cast< CollectionFetchJobWrapper *>(this));
    }
    return Akonadi::CollectionFetchJob::qt_metacast(_clname);
}

CollectionFetchJobWrapper::~CollectionFetchJobWrapper()
{
    auto *wrapper = Shiboken::BindingManager::instance().retrieveWrapper(this, Sbk_Akonadi_CollectionFetchJob_TypeF());
    Shiboken::Object::destroy(wrapper, this);
}

// Target ---------------------------------------------------------

extern "C" {
static int
Sbk_Akonadi_CollectionFetchJob_Init(PyObject *self, PyObject *args, [[maybe_unused]] PyObject *kwds)
{
    auto *sbkSelf = reinterpret_cast<SbkObject *>(self);
    PySide::Feature::Select(self);
    if (Shiboken::Object::isUserType(self) && !Shiboken::ObjectType::canCallConstructor(self->ob_type, Shiboken::SbkType< ::Akonadi::CollectionFetchJob >()))
        return -1;

    CollectionFetchJobWrapper *cptr{};
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp[3];
    const Py_ssize_t numArgs = PyTuple_Size(args);
    SBK_UNUSED(numArgs)
    PyObject *pyArgs[] = {nullptr, nullptr, nullptr};

    // invalid argument lengths

    if (PyArg_ParseTuple(args, "|OOO:CollectionFetchJob", &(pyArgs[0]), &(pyArgs[1]), &(pyArgs[2])) == 0)
        return -1;


    // Overloaded function decisor
    // 0: CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&,Akonadi::CollectionFetchJob::Type=,QObject*=)
    // 1: CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&,Akonadi::CollectionFetchJob::Type,QObject*=)
    // 2: CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&,QObject*=)
    // 3: CollectionFetchJob::CollectionFetchJob(const QList<long long>&,Akonadi::CollectionFetchJob::Type=,QObject*=)
    if (numArgs >= 1
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppConversion(SbkAkonadiCoreTypeConverters[SBK_AkonadiCore_QList_longlong_IDX], (pyArgs[0])))) {
        if (numArgs == 1) {
            overloadId = 3; // CollectionFetchJob(QList<qlonglong>,Akonadi::CollectionFetchJob::Type,QObject*)
        } else if (numArgs >= 2
            && (pythonToCpp[1] = Shiboken::Conversions::pythonToCppConversion(Shiboken::Enum::getConverter(reinterpret_cast<SbkEnumType *>(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_Type_IDX]))), (pyArgs[1])))) {
            if (numArgs == 2) {
                overloadId = 3; // CollectionFetchJob(QList<qlonglong>,Akonadi::CollectionFetchJob::Type,QObject*)
            } else if (numArgs >= 3
                && (pythonToCpp[2] = Shiboken::Conversions::pythonToCppPointerConversion(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QObject_IDX]), (pyArgs[2])))) {
                overloadId = 3; // CollectionFetchJob::CollectionFetchJob(const QList<long long>&,Akonadi::CollectionFetchJob::Type=,QObject*=)
            }
        }
    } else if (numArgs >= 1
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppReferenceConversion(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_Collection_IDX]), (pyArgs[0])))) {
        if (numArgs == 1) {
            overloadId = 0; // CollectionFetchJob(Akonadi::Collection,Akonadi::CollectionFetchJob::Type,QObject*)
        } else if (numArgs >= 2
            && (pythonToCpp[1] = Shiboken::Conversions::pythonToCppConversion(Shiboken::Enum::getConverter(reinterpret_cast<SbkEnumType *>(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_Type_IDX]))), (pyArgs[1])))) {
            if (numArgs == 2) {
                overloadId = 0; // CollectionFetchJob(Akonadi::Collection,Akonadi::CollectionFetchJob::Type,QObject*)
            } else if (numArgs >= 3
                && (pythonToCpp[2] = Shiboken::Conversions::pythonToCppPointerConversion(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QObject_IDX]), (pyArgs[2])))) {
                overloadId = 0; // CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&,Akonadi::CollectionFetchJob::Type=,QObject*=)
            }
        }
    } else if (numArgs >= 1
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppConversion(SbkAkonadiCoreTypeConverters[SBK_AkonadiCore_QList_Akonadi_Collection_IDX], (pyArgs[0])))) {
        if (numArgs == 1) {
            overloadId = 2; // CollectionFetchJob(QList<Akonadi::Collection>,QObject*)
        } else if (numArgs >= 2
            && (pythonToCpp[1] = Shiboken::Conversions::pythonToCppPointerConversion(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QObject_IDX]), (pyArgs[1])))) {
            overloadId = 2; // CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&,QObject*=)
        } else if (numArgs >= 2
            && (pythonToCpp[1] = Shiboken::Conversions::pythonToCppConversion(Shiboken::Enum::getConverter(reinterpret_cast<SbkEnumType *>(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_Type_IDX]))), (pyArgs[1])))) {
            if (numArgs == 2) {
                overloadId = 1; // CollectionFetchJob(QList<Akonadi::Collection>,Akonadi::CollectionFetchJob::Type,QObject*)
            } else if (numArgs >= 3
                && (pythonToCpp[2] = Shiboken::Conversions::pythonToCppPointerConversion(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QObject_IDX]), (pyArgs[2])))) {
                overloadId = 1; // CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&,Akonadi::CollectionFetchJob::Type,QObject*=)
            }
        }
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments_MinusOne(args, "__init__", SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_IDX]);

    // Resolve keyword arguments
    switch (overloadId) {
        case 0: // CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&,Akonadi::CollectionFetchJob::Type=,QObject*=)
        {
            if (kwds != nullptr && PyDict_Size(kwds) > 0) {
                static const Shiboken::ArgumentNameIndexMapping mapping[2] = {{"type", 1}, {"parent", 2}};
                if (!Shiboken::parseConstructorKeywordArguments(kwds, mapping, 2, errInfo, pyArgs)
                    || (pyArgs[1] != nullptr && !((pythonToCpp[1] = Shiboken::Conversions::pythonToCppConversion(Shiboken::Enum::getConverter(reinterpret_cast<SbkEnumType *>(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_Type_IDX]))), (pyArgs[1])))))
                    || (pyArgs[2] != nullptr && !((pythonToCpp[2] = Shiboken::Conversions::pythonToCppPointerConversion(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QObject_IDX]), (pyArgs[2])))))) {
                    Py_XINCREF(errInfo.object());
                    return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_IDX]);
                }
            }
            break;
        }
        case 1: // CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&,Akonadi::CollectionFetchJob::Type,QObject*=)
        {
            if (kwds != nullptr && PyDict_Size(kwds) > 0) {
                static const Shiboken::ArgumentNameIndexMapping mapping[1] = {{"parent", 2}};
                if (!Shiboken::parseConstructorKeywordArguments(kwds, mapping, 1, errInfo, pyArgs)
                    || (pyArgs[2] != nullptr && !((pythonToCpp[2] = Shiboken::Conversions::pythonToCppPointerConversion(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QObject_IDX]), (pyArgs[2])))))) {
                    Py_XINCREF(errInfo.object());
                    return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_IDX]);
                }
            }
            break;
        }
        case 2: // CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&,QObject*=)
        {
            if (kwds != nullptr && PyDict_Size(kwds) > 0) {
                static const Shiboken::ArgumentNameIndexMapping mapping[1] = {{"parent", 1}};
                if (!Shiboken::parseConstructorKeywordArguments(kwds, mapping, 1, errInfo, pyArgs)
                    || (pyArgs[1] != nullptr && !((pythonToCpp[1] = Shiboken::Conversions::pythonToCppPointerConversion(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QObject_IDX]), (pyArgs[1])))))) {
                    Py_XINCREF(errInfo.object());
                    return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_IDX]);
                }
            }
            break;
        }
        case 3: // CollectionFetchJob::CollectionFetchJob(const QList<long long>&,Akonadi::CollectionFetchJob::Type=,QObject*=)
        {
            if (kwds != nullptr && PyDict_Size(kwds) > 0) {
                static const Shiboken::ArgumentNameIndexMapping mapping[2] = {{"type", 1}, {"parent", 2}};
                if (!Shiboken::parseConstructorKeywordArguments(kwds, mapping, 2, errInfo, pyArgs)
                    || (pyArgs[1] != nullptr && !((pythonToCpp[1] = Shiboken::Conversions::pythonToCppConversion(Shiboken::Enum::getConverter(reinterpret_cast<SbkEnumType *>(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_Type_IDX]))), (pyArgs[1])))))
                    || (pyArgs[2] != nullptr && !((pythonToCpp[2] = Shiboken::Conversions::pythonToCppPointerConversion(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QObject_IDX]), (pyArgs[2])))))) {
                    Py_XINCREF(errInfo.object());
                    return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_IDX]);
                }
            }
            break;
        }
    }

    // PyMI support
    [[maybe_unused]] const bool usesPyMI = Shiboken::callInheritedInit(self, args, errInfo.isNull() ? kwds : errInfo.object(), SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_IDX]);
    if (Shiboken::Errors::occurred() != nullptr)
        return -1;

    // Call function/method
    switch (overloadId) {
        case 0: // CollectionFetchJob(const Akonadi::Collection &collection, Akonadi::CollectionFetchJob::Type type, QObject *parent)
        {
            if (!Shiboken::Object::isValid(pyArgs[0]))
                return -1;
            ::Akonadi::Collection cppArg0_local;
            ::Akonadi::Collection *cppArg0 = &cppArg0_local;
            if (pythonToCpp[0].isValue())
                pythonToCpp[0](pyArgs[0], &cppArg0_local);
            else
                pythonToCpp[0](pyArgs[0], &cppArg0);

            ::Akonadi::CollectionFetchJob::Type cppArg1(Akonadi::CollectionFetchJob::Type::FirstLevel);
            if (pythonToCpp[1])
                pythonToCpp[1](pyArgs[1], &cppArg1);
            if (!Shiboken::Object::isValid(pyArgs[2]))
                return -1;
            ::QObject *cppArg2 = nullptr;
            if (pythonToCpp[2])
                pythonToCpp[2](pyArgs[2], &cppArg2);

            if (Shiboken::Errors::occurred() == nullptr) {
                // CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&,Akonadi::CollectionFetchJob::Type=,QObject*=)
                void *addr = PySide::nextQObjectMemoryAddr();
                if (addr != nullptr) {
                    cptr = new (addr) CollectionFetchJobWrapper(*cppArg0, cppArg1, cppArg2);
                    PySide::setNextQObjectMemoryAddr(nullptr);
                } else {
                    cptr = new CollectionFetchJobWrapper(*cppArg0, cppArg1, cppArg2);
                }

            }
            break;
        }
        case 1: // CollectionFetchJob(const QList<Akonadi::Collection> &collections, Akonadi::CollectionFetchJob::Type type, QObject *parent)
        {
            ::QList<Akonadi::Collection> cppArg0;
            pythonToCpp[0](pyArgs[0], &cppArg0);
            ::Akonadi::CollectionFetchJob::Type cppArg1{Akonadi::CollectionFetchJob::Base};
            pythonToCpp[1](pyArgs[1], &cppArg1);
            if (!Shiboken::Object::isValid(pyArgs[2]))
                return -1;
            ::QObject *cppArg2 = nullptr;
            if (pythonToCpp[2])
                pythonToCpp[2](pyArgs[2], &cppArg2);

            if (Shiboken::Errors::occurred() == nullptr) {
                // CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&,Akonadi::CollectionFetchJob::Type,QObject*=)
                void *addr = PySide::nextQObjectMemoryAddr();
                if (addr != nullptr) {
                    cptr = new (addr) CollectionFetchJobWrapper(cppArg0, cppArg1, cppArg2);
                    PySide::setNextQObjectMemoryAddr(nullptr);
                } else {
                    cptr = new CollectionFetchJobWrapper(cppArg0, cppArg1, cppArg2);
                }

            }
            break;
        }
        case 2: // CollectionFetchJob(const QList<Akonadi::Collection> &collections, QObject *parent)
        {
            ::QList<Akonadi::Collection> cppArg0;
            pythonToCpp[0](pyArgs[0], &cppArg0);
            if (!Shiboken::Object::isValid(pyArgs[1]))
                return -1;
            ::QObject *cppArg1 = nullptr;
            if (pythonToCpp[1])
                pythonToCpp[1](pyArgs[1], &cppArg1);

            if (Shiboken::Errors::occurred() == nullptr) {
                // CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&,QObject*=)
                void *addr = PySide::nextQObjectMemoryAddr();
                if (addr != nullptr) {
                    cptr = new (addr) CollectionFetchJobWrapper(cppArg0, cppArg1);
                    PySide::setNextQObjectMemoryAddr(nullptr);
                } else {
                    cptr = new CollectionFetchJobWrapper(cppArg0, cppArg1);
                }

            }
            break;
        }
        case 3: // CollectionFetchJob(const QList<long long> &collections, Akonadi::CollectionFetchJob::Type type, QObject *parent)
        {
            ::QList<long long> cppArg0;
            pythonToCpp[0](pyArgs[0], &cppArg0);
            ::Akonadi::CollectionFetchJob::Type cppArg1(Akonadi::CollectionFetchJob::Type::Base);
            if (pythonToCpp[1])
                pythonToCpp[1](pyArgs[1], &cppArg1);
            if (!Shiboken::Object::isValid(pyArgs[2]))
                return -1;
            ::QObject *cppArg2 = nullptr;
            if (pythonToCpp[2])
                pythonToCpp[2](pyArgs[2], &cppArg2);

            if (Shiboken::Errors::occurred() == nullptr) {
                // CollectionFetchJob::CollectionFetchJob(const QList<long long>&,Akonadi::CollectionFetchJob::Type=,QObject*=)
                void *addr = PySide::nextQObjectMemoryAddr();
                if (addr != nullptr) {
                    cptr = new (addr) CollectionFetchJobWrapper(cppArg0, cppArg1, cppArg2);
                    PySide::setNextQObjectMemoryAddr(nullptr);
                } else {
                    cptr = new CollectionFetchJobWrapper(cppArg0, cppArg1, cppArg2);
                }

            }
            break;
        }
    }

    if (Shiboken::Errors::occurred() != nullptr || !Shiboken::Object::setCppPointer(sbkSelf, Shiboken::SbkType< Akonadi::CollectionFetchJob >(), cptr)) {
        delete cptr;
        return -1;
    }
    if (cptr == nullptr)
        return Shiboken::returnWrongArguments_MinusOne(args, "__init__", SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_IDX]);

    Shiboken::Object::setValidCpp(sbkSelf, true);
    Shiboken::Object::setHasCppWrapper(sbkSelf, true);
    Shiboken::BindingManager::instance().registerWrapper(sbkSelf, cptr);

    // QObject setup
    PySide::Signal::updateSourceObject(self);
    const auto *metaObject = cptr->metaObject(); // <- init python qt properties
    if (!errInfo.isNull() && PyDict_Check(errInfo.object())) {
        if (!PySide::fillQtProperties(self, metaObject, errInfo, usesPyMI))
            return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_IDX]);
    };


    return 1;
}

static PyObject *Sbk_Akonadi_CollectionFetchJobFunc_collections(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::Akonadi::CollectionFetchJob *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // CollectionFetchJob::collections()const->QList<Akonadi::Collection>
        QList<Akonadi::Collection> cppResult = const_cast<const ::Akonadi::CollectionFetchJob *>(cppSelf)->collections();
        pyResult = Shiboken::Conversions::copyToPython(SbkAkonadiCoreTypeConverters[SBK_AkonadiCore_QList_Akonadi_Collection_IDX], &cppResult);
    }

    return Sbk_ReturnFromPython_Result(pyResult);
}

static PyObject *Sbk_Akonadi_CollectionFetchJobFunc_doStart(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::Akonadi::CollectionFetchJob *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_IDX]), reinterpret_cast<SbkObject *>(self)));
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // Job::doStart()
        Shiboken::Object::hasCppWrapper(reinterpret_cast<SbkObject *>(self))
            ? cppSelf->::Akonadi::CollectionFetchJob::doStart()
            : cppSelf->doStart();
    }

     return Sbk_ReturnFromPython_None();
}

static PyObject *Sbk_Akonadi_CollectionFetchJobFunc_fetchScope(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::Akonadi::CollectionFetchJob *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // CollectionFetchJob::fetchScope()->Akonadi::CollectionFetchScope&
        Akonadi::CollectionFetchScope & cppResult = cppSelf->fetchScope();
        pyResult = Shiboken::Conversions::referenceToPython(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchScope_IDX]), &cppResult);
    }

    return Sbk_ReturnFromPython_Result(pyResult);
}

static PyObject *Sbk_Akonadi_CollectionFetchJobFunc_setFetchScope(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::Akonadi::CollectionFetchJob *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_IDX]), reinterpret_cast<SbkObject *>(self)));
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp;

    // Overloaded function decisor
    // 0: CollectionFetchJob::setFetchScope(const Akonadi::CollectionFetchScope&)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchScope_IDX]), (pyArg)))) {
        overloadId = 0; // CollectionFetchJob::setFetchScope(const Akonadi::CollectionFetchScope&)
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments(pyArg, "setFetchScope", SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_IDX]);

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::Akonadi::CollectionFetchScope cppArg0_local;
        ::Akonadi::CollectionFetchScope *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (Shiboken::Errors::occurred() == nullptr) {
            // CollectionFetchJob::setFetchScope(const Akonadi::CollectionFetchScope&)
            cppSelf->setFetchScope(*cppArg0);
        }
    }

     return Sbk_ReturnFromPython_None();
}

static PyObject *Sbk_Akonadi_CollectionFetchJobFunc_slotResult(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::Akonadi::CollectionFetchJob *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_IDX]), reinterpret_cast<SbkObject *>(self)));
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp;

    // Overloaded function decisor
    // 0: KCompositeJob::slotResult(KJob*)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppPointerConversion(Shiboken::Module::get(SbkKCoreAddonsTypeStructs[SBK_KJob_IDX]), (pyArg)))) {
        overloadId = 0; // KCompositeJob::slotResult(KJob*)
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments(pyArg, "slotResult", SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_IDX]);

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::KJob *cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (Shiboken::Errors::occurred() == nullptr) {
            // KCompositeJob::slotResult(KJob*)
            Shiboken::Object::hasCppWrapper(reinterpret_cast<SbkObject *>(self))
                ? cppSelf->::Akonadi::CollectionFetchJob::slotResult(cppArg0)
                : cppSelf->slotResult(cppArg0);
        }
    }

     return Sbk_ReturnFromPython_None();
}


static const char *Sbk_Akonadi_CollectionFetchJob_PropertyStrings[] = {
    nullptr // Sentinel
};

static const char *Sbk_Akonadi_CollectionFetchJob_EnumFlagInfo[] = {
    "Type:IntEnum",
    nullptr // Sentinel
};

static PyMethodDef Sbk_Akonadi_CollectionFetchJob_methods[] = {
    {"collections", reinterpret_cast<PyCFunction>(Sbk_Akonadi_CollectionFetchJobFunc_collections), METH_NOARGS, nullptr},
    {"doStart", reinterpret_cast<PyCFunction>(Sbk_Akonadi_CollectionFetchJobFunc_doStart), METH_NOARGS, nullptr},
    {"fetchScope", reinterpret_cast<PyCFunction>(Sbk_Akonadi_CollectionFetchJobFunc_fetchScope), METH_NOARGS, nullptr},
    {"setFetchScope", reinterpret_cast<PyCFunction>(Sbk_Akonadi_CollectionFetchJobFunc_setFetchScope), METH_O, nullptr},
    {"slotResult", reinterpret_cast<PyCFunction>(Sbk_Akonadi_CollectionFetchJobFunc_slotResult), METH_O, nullptr},
    {nullptr, nullptr, 0, nullptr} // Sentinel
};

static int Sbk_Akonadi_CollectionFetchJob_setattro(PyObject *self, PyObject *name, PyObject *value)
{
    PySide::Feature::Select(self);
    if (value != nullptr && PyCallable_Check(value) != 0) {
        auto plain_inst = reinterpret_cast< ::Akonadi::CollectionFetchJob *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_IDX]), reinterpret_cast<SbkObject *>(self)));
        auto *inst = dynamic_cast<CollectionFetchJobWrapper *>(plain_inst);
        if (inst != nullptr)
            inst->resetPyMethodCache();
    }
    Shiboken::AutoDecRef pp(reinterpret_cast<PyObject *>(PySide::Property::getObject(self, name)));
    if (!pp.isNull())
        return PySide::Property::setValue(reinterpret_cast<PySideProperty *>(pp.object()), self, value);
    return PyObject_GenericSetAttr(self, name, value);
}

} // extern "C"

static int Sbk_Akonadi_CollectionFetchJob_traverse(PyObject *self, visitproc visit, void *arg)
{
    auto traverseProc = reinterpret_cast<traverseproc>(PyType_GetSlot(SbkObject_TypeF(), Py_tp_traverse));
    ;
    return traverseProc(self, visit, arg);
}
static int Sbk_Akonadi_CollectionFetchJob_clear(PyObject *self)
{
    auto clearProc = reinterpret_cast<inquiry>(PyType_GetSlot(SbkObject_TypeF(), Py_tp_clear));
    ;
    return clearProc(self);
}

// Class Definition -----------------------------------------------
extern "C" {

static PyType_Slot Sbk_Akonadi_CollectionFetchJob_slots[] = {
    {Py_tp_base,        nullptr}, // inserted by introduceWrapperType
    {Py_tp_dealloc,     reinterpret_cast<void *>(&SbkDeallocWrapper)},
    {Py_tp_setattro,    reinterpret_cast<void *>(Sbk_Akonadi_CollectionFetchJob_setattro)},
    {Py_tp_traverse,    reinterpret_cast<void *>(Sbk_Akonadi_CollectionFetchJob_traverse)},
    {Py_tp_clear,       reinterpret_cast<void *>(Sbk_Akonadi_CollectionFetchJob_clear)},
    {Py_tp_methods,     reinterpret_cast<void *>(Sbk_Akonadi_CollectionFetchJob_methods)},
    {Py_tp_init,        reinterpret_cast<void *>(Sbk_Akonadi_CollectionFetchJob_Init)},
    {Py_tp_new,         reinterpret_cast<void *>(SbkObject_tp_new)},
    {0, nullptr}
};
static PyType_Spec Sbk_Akonadi_CollectionFetchJob_spec = {
    "1:AkonadiCore.Akonadi.CollectionFetchJob",
    sizeof(SbkObject),
    0,
    Py_TPFLAGS_DEFAULT|Py_TPFLAGS_BASETYPE|Py_TPFLAGS_HAVE_GC,
    Sbk_Akonadi_CollectionFetchJob_slots
};

} //extern "C"

static void *Sbk_Akonadi_CollectionFetchJob_typeDiscovery([[maybe_unused]] void *cptr, [[maybe_unused]] PyTypeObject *instanceType)
{
    if (instanceType == Shiboken::SbkType< ::QObject >())
        return dynamic_cast< ::Akonadi::CollectionFetchJob *>(reinterpret_cast< ::QObject *>(cptr));
    return {};
}


// Type conversion functions.

// Python to C++ enum conversion.
static void Enum_PythonToCpp_Akonadi_CollectionFetchJob_Type(PyObject *pyIn, void *cppOut)
{
    const auto value = static_cast<::Akonadi::CollectionFetchJob::Type>(Shiboken::Enum::getValue(pyIn));
    *reinterpret_cast<::Akonadi::CollectionFetchJob::Type *>(cppOut) = value;

}
static PythonToCppFunc is_Enum_PythonToCpp_Akonadi_CollectionFetchJob_Type_Convertible(PyObject *pyIn)
{
    if (PyObject_TypeCheck(pyIn, Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_Type_IDX])))
        return Enum_PythonToCpp_Akonadi_CollectionFetchJob_Type;
    return {};
}

static PyObject *Akonadi_CollectionFetchJob_Type_CppToPython_Enum(PyTypeObject *pyType, const void *cppIn)
{
    using IntType = std::underlying_type_t<::Akonadi::CollectionFetchJob::Type>;
    const auto castCppIn = IntType(*reinterpret_cast<const ::Akonadi::CollectionFetchJob::Type *>(cppIn));
    return Shiboken::Enum::newItem(pyType, castCppIn);

}

// Python to C++ pointer conversion - returns the C++ object of the Python wrapper (keeps object identity).
static void CollectionFetchJob_PythonToCpp_CollectionFetchJob_PTR(PyObject *pyIn, void *cppOut)
{
    Shiboken::Conversions::pythonToCppPointer(Sbk_Akonadi_CollectionFetchJob_TypeF(), pyIn, cppOut);
}
static PythonToCppFunc is_CollectionFetchJob_PythonToCpp_CollectionFetchJob_PTR_Convertible(PyObject *pyIn)
{
    if (pyIn == Py_None)
        return Shiboken::Conversions::nonePythonToCppNullPtr;
    if (PyObject_TypeCheck(pyIn, Sbk_Akonadi_CollectionFetchJob_TypeF()))
        return CollectionFetchJob_PythonToCpp_CollectionFetchJob_PTR;
    return {};
}

// C++ to Python pointer conversion - tries to find the Python wrapper for the C++ object (keeps object identity).
static PyObject *CollectionFetchJob_PTR_CppToPython_CollectionFetchJob(const void *cppIn)
{
    return PySide::getWrapperForQObject(reinterpret_cast<::Akonadi::CollectionFetchJob *>(const_cast<void *>(cppIn)), Sbk_Akonadi_CollectionFetchJob_TypeF());

}

// The signatures string for the functions.
// Multiple signatures have their index "n:" in front.
#if PYSIDE6_COMOPT_COMPRESS == 0
static const char *Akonadi_CollectionFetchJob_SignatureStrings[] = {
    "3:AkonadiCore.Akonadi.CollectionFetchJob(self,collection:AkonadiCore.Akonadi.Collection,type:AkonadiCore.Akonadi.CollectionFetchJob.Type=Akonadi.CollectionFetchJob.Type.FirstLevel,parent:PySide6.QtCore.QObject=nullptr)",
    "2:AkonadiCore.Akonadi.CollectionFetchJob(self,collections:QList[AkonadiCore.Akonadi.Collection],type:AkonadiCore.Akonadi.CollectionFetchJob.Type,parent:PySide6.QtCore.QObject=nullptr)",
    "1:AkonadiCore.Akonadi.CollectionFetchJob(self,collections:QList[AkonadiCore.Akonadi.Collection],parent:PySide6.QtCore.QObject=nullptr)",
    "0:AkonadiCore.Akonadi.CollectionFetchJob(self,collections:QList[long long],type:AkonadiCore.Akonadi.CollectionFetchJob.Type=Akonadi.CollectionFetchJob.Type.Base,parent:PySide6.QtCore.QObject=nullptr)",
    "AkonadiCore.Akonadi.CollectionFetchJob.collections(self)->QList[AkonadiCore.Akonadi.Collection]",
    "AkonadiCore.Akonadi.CollectionFetchJob.doStart(self)",
    "AkonadiCore.Akonadi.CollectionFetchJob.fetchScope(self)->AkonadiCore.Akonadi.CollectionFetchScope",
    "AkonadiCore.Akonadi.CollectionFetchJob.setFetchScope(self,fetchScope:AkonadiCore.Akonadi.CollectionFetchScope)",
    "AkonadiCore.Akonadi.CollectionFetchJob.slotResult(self,job:KCoreAddons.KJob)",
    nullptr}; // Sentinel
#else
static constexpr size_t Akonadi_CollectionFetchJob_SignatureByteSize = 244;
static constexpr uint8_t Akonadi_CollectionFetchJob_SignatureBytes[244] = {
    0x78, 0xda, 0xb5, 0x52, 0x4d, 0x4f, 0x02, 0x31, 0x10, 0xbd, 0xf3, 0x2b, 0x3c, 0xb2, 0x49, 0x6d,
    0x50, 0x13, 0x0f, 0x4d, 0x20, 0x41, 0x92, 0x3d, 0x08, 0x89, 0xae, 0xeb, 0x8d, 0x70, 0xd8, 0xdd,
    0x0e, 0x58, 0x9c, 0x74, 0x36, 0xed, 0x60, 0xc2, 0xbf, 0x77, 0x77, 0x11, 0xd0, 0x8b, 0x0c, 0x7e,
    0x5c, 0x9a, 0x49, 0xfb, 0xde, 0xbc, 0x8f, 0xf4, 0xc6, 0x8c, 0x5f, 0xc9, 0x17, 0xd6, 0x4d, 0x28,
    0x80, 0xfe, 0x98, 0xf5, 0x84, 0x10, 0xa1, 0x62, 0x47, 0x3e, 0x05, 0xae, 0x5e, 0xee, 0xa9, 0xec,
    0x47, 0xc0, 0xa5, 0xaa, 0x0e, 0xf7, 0x27, 0x68, 0x8a, 0xb7, 0x35, 0x08, 0x57, 0xeb, 0xe7, 0x06,
    0x3b, 0x3c, 0xf1, 0xae, 0x53, 0x17, 0x22, 0xcf, 0xe0, 0x0d, 0x50, 0xd5, 0x45, 0x00, 0xcf, 0xe6,
    0x71, 0x9b, 0x3b, 0x0b, 0xb7, 0x3a, 0xe3, 0x4e, 0x20, 0x7b, 0x28, 0xd7, 0x0d, 0x71, 0xe8, 0x37,
    0x88, 0x35, 0x87, 0xa4, 0x77, 0xfd, 0xc3, 0x68, 0xd1, 0x64, 0x33, 0x17, 0x79, 0xfe, 0x3d, 0x7b,
    0x71, 0x76, 0x44, 0xa9, 0xef, 0xab, 0x7f, 0xf6, 0x2d, 0xb4, 0x31, 0xf8, 0xa5, 0x0d, 0x24, 0xbf,
    0xba, 0x68, 0x8f, 0xc5, 0xdf, 0x7f, 0x86, 0xbb, 0x22, 0x8a, 0xeb, 0x14, 0xea, 0x7e, 0x0a, 0xd0,
    0x25, 0x4a, 0x2e, 0x47, 0xa2, 0x3a, 0xa5, 0xfb, 0x2d, 0xe5, 0x5c, 0x04, 0xde, 0xed, 0x96, 0x92,
    0x96, 0xed, 0x90, 0x57, 0x54, 0xc3, 0xde, 0x93, 0x80, 0xd8, 0xe1, 0xa5, 0x0a, 0x11, 0x38, 0xfd,
    0x2a, 0xa2, 0x8e, 0xa2, 0x46, 0xaa, 0x26, 0x0e, 0x14, 0x91, 0xf8, 0x09, 0xe2, 0x06, 0x77, 0x45,
    0xa8, 0x35, 0x95, 0x66, 0xda, 0x92, 0xc6, 0xd6, 0x36, 0xcd, 0xeb, 0x69, 0x03, 0x4a, 0x7a, 0xef,
    0xdd, 0xa4, 0xb2, 0xe4
};
#endif

PyTypeObject *init_Akonadi_CollectionFetchJob(PyObject *enclosingClass)
{
    auto &typeStruct = SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_IDX];
    if (typeStruct.type != nullptr)
        return typeStruct.type;

    auto *base1 = reinterpret_cast<PyObject *>(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_Job_IDX]));
    Shiboken::AutoDecRef Sbk_Akonadi_CollectionFetchJob_Type_bases(PyTuple_Pack(1, base1));

    PyTypeObject *pyType = Shiboken::ObjectType::introduceWrapperType(
        enclosingClass,
        "CollectionFetchJob",
        "Akonadi::CollectionFetchJob*",
        &Sbk_Akonadi_CollectionFetchJob_spec,
        &Shiboken::callCppDestructor< Akonadi::CollectionFetchJob >,
        Sbk_Akonadi_CollectionFetchJob_Type_bases.object(),
        Shiboken::ObjectType::WrapperFlags::InnerClass);
#if PYSIDE6_COMOPT_COMPRESS == 0
    InitSignatureStrings(pyType, Akonadi_CollectionFetchJob_SignatureStrings);
#else
    InitSignatureBytes(pyType, Akonadi_CollectionFetchJob_SignatureBytes, Akonadi_CollectionFetchJob_SignatureByteSize);
#endif
    SbkObjectType_SetPropertyStrings(pyType, Sbk_Akonadi_CollectionFetchJob_PropertyStrings);
    typeStruct.type = pyType;

    // Register Converter
    SbkConverter *converter = Shiboken::Conversions::createConverter(pyType,
        CollectionFetchJob_PythonToCpp_CollectionFetchJob_PTR,
        is_CollectionFetchJob_PythonToCpp_CollectionFetchJob_PTR_Convertible,
        CollectionFetchJob_PTR_CppToPython_CollectionFetchJob);

    Shiboken::Conversions::registerConverterName(converter, "Akonadi::CollectionFetchJob");
    Shiboken::Conversions::registerConverterName(converter, "Akonadi::CollectionFetchJob*");
    Shiboken::Conversions::registerConverterName(converter, "Akonadi::CollectionFetchJob&");
    Shiboken::Conversions::registerConverterAlias(converter, "CollectionFetchJob");
    Shiboken::Conversions::registerConverterAlias(converter, "CollectionFetchJob*");
    Shiboken::Conversions::registerConverterAlias(converter, "CollectionFetchJob&");
    Shiboken::Conversions::registerConverterName(converter, typeid(::Akonadi::CollectionFetchJob).name());
    Shiboken::Conversions::registerConverterName(converter, typeid(CollectionFetchJobWrapper).name());

    Shiboken::ObjectType::setTypeDiscoveryFunctionV2(pyType, &Sbk_Akonadi_CollectionFetchJob_typeDiscovery);

    // Pass the ..._EnumFlagInfo to the class.
    SbkObjectType_SetEnumFlagInfo(pyType, Sbk_Akonadi_CollectionFetchJob_EnumFlagInfo);

    // Initialization of enums.
    Shiboken::AutoDecRef tpDict{};
    [[maybe_unused]] PyTypeObject *EType{};

    // Initialization of enum 'Type'.
    const char *Type_Initializer[] = {
        "Base",
        "FirstLevel",
        "Recursive",
        "NonOverlappingRoots",
        nullptr};
    // "uint8_t" used instead of "unsigned int"
    constexpr uint8_t Type_InitializerValues[] = {
        uint8_t(Akonadi::CollectionFetchJob::Type::Base),               //  0x00  0
        uint8_t(Akonadi::CollectionFetchJob::Type::FirstLevel),         //  0x01  1
        uint8_t(Akonadi::CollectionFetchJob::Type::Recursive),          //  0x02  2
        uint8_t(Akonadi::CollectionFetchJob::Type::NonOverlappingRoots) //  0x03  3
        };
    EType = Shiboken::Enum::createPythonEnum(pyType,
        "1:AkonadiCore.Akonadi.CollectionFetchJob.Type",
        Type_Initializer, Type_InitializerValues);
    SbkAkonadiCoreTypeStructs[SBK_Akonadi_CollectionFetchJob_Type_IDX].type = EType;
    // Register converter for enum 'Akonadi::CollectionFetchJob::Type'.
    {
        SbkConverter *converter = Shiboken::Conversions::createConverter(EType,
            Akonadi_CollectionFetchJob_Type_CppToPython_Enum);
        Shiboken::Conversions::addPythonToCppValueConversion(converter,
            Enum_PythonToCpp_Akonadi_CollectionFetchJob_Type,
            is_Enum_PythonToCpp_Akonadi_CollectionFetchJob_Type_Convertible);
        Shiboken::Conversions::registerConverterName(converter, "Akonadi::CollectionFetchJob::Type");
        Shiboken::Conversions::registerConverterAlias(converter, "CollectionFetchJob::Type");
        Shiboken::Conversions::registerConverterAlias(converter, "Type");
        Shiboken::Enum::setTypeConverter(EType, converter, nullptr);
    }
    // End of 'Type' enum.

    PySide::Signal::registerSignals(pyType, &::Akonadi::CollectionFetchJob::staticMetaObject);
    qRegisterMetaType< ::Akonadi::CollectionFetchJob::Type >("CollectionFetchJob::Type");
    qRegisterMetaType< ::Akonadi::CollectionFetchJob::Type >("Akonadi::CollectionFetchJob::Type");
    Shiboken::ObjectType::setSubTypeInitHook(pyType, &PySide::initQObjectSubType);
    PySide::initDynamicMetaObject(pyType, &::Akonadi::CollectionFetchJob::staticMetaObject, sizeof(CollectionFetchJobWrapper));

    return pyType;
}
